<?xml version="1.0" encoding="utf-8"?>
<tp:taxonomyPackage xml:lang="pl" xmlns:tp="http://xbrl.org/2016/taxonomy-package" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xbrl.org/2016/taxonomy-package http://www.xbrl.org/2016/taxonomy-package.xsd">
  <tp:identifier>http://www.pl.kruk.eu/xbrl/2024</tp:identifier>
  <tp:name>KRUK S.A. Taxonomy 2024 based on ESMA 2022</tp:name>
  <tp:description>Taxonomy for ESEF reporting</tp:description>
  <tp:version>Final</tp:version>
  <tp:publisher>KRUK S.A.</tp:publisher>
  <tp:publisherURL>http://www.pl.kruk.eu</tp:publisherURL>
  <tp:publisherCountry>PL</tp:publisherCountry>
  <tp:publicationDate>2025-03-27</tp:publicationDate>
  <tp:entryPoints>
    <tp:entryPoint>
      <tp:name>KRUK S.A. Taxonomy 2024 Entry point</tp:name>
      <tp:description>Entry point to be used to load KRUK S.A. Taxonomy and Annual Report for 2024</tp:description>
      <tp:entryPointDocument href="http://www.pl.kruk.eu/xbrl/2024/259400T1FZYBIW8XUJ78-2024-12-31.xsd" />
      <tp:languages>
        <tp:language>pl</tp:language>
        <tp:language>en</tp:language>
      </tp:languages>
    </tp:entryPoint>
  </tp:entryPoints>
</tp:taxonomyPackage>